> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tax packets

> Returns a list of tax packet requests for the business, optionally filtered by year or including archived requests.



## OpenAPI

````yaml get /v1/businesses/{businessId}/reports/tax-packets
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/reports/tax-packets:
    get:
      tags: []
      summary: List tax packets
      description: >-
        Returns a list of tax packet requests for the business, optionally
        filtered by year or including archived requests.
      operationId: business.reports.tax-packets.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch tax packets for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
        - name: include_archived
          in: query
          description: Whether to include archived tax packet requests
          schema:
            type: boolean
            default: false
        - name: year
          in: query
          description: Filter tax packets by year
          schema:
            type: integer
      responses:
        '200':
          description: List of tax packet requests
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TaxPacketCreateResponse'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    TaxPacketCreateResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the tax packet request
        business_id:
          type: string
          description: Business ID the tax packet belongs to
        year:
          type: integer
          description: Tax year for the packet
        start_date:
          type: string
          format: date-time
          description: Start date of the tax packet period
        end_date:
          type: string
          format: date-time
          description: End date of the tax packet period
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - COMPLETED
            - FAILED
          description: Status of the tax packet generation
        created_at:
          type: string
          format: date-time
          description: When the tax packet request was created
        completed_at:
          type: string
          format: date-time
          description: When the tax packet generation was completed
        download_urls:
          type: object
          properties:
            profit_and_loss:
              type: string
              description: Pre-signed URL for P&L report
            general_ledger:
              type: string
              description: Pre-signed URL for general ledger
            account_transactions:
              type: string
              description: Pre-signed URL for account transactions
          description: Download URLs for tax packet components
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````